# Notices for Eclipse iceoryx

This content is produced and maintained by the Eclipse iceoryx project.

* Project home: https://projects.eclipse.org/projects/technology.iceoryx

## Trademarks

 Eclipse iceoryx is a trademark of the Eclipse Foundation.

## Copyright

All content is the property of the respective authors or their employers. For
more information regarding authorship of content, please consult the listed
source code repository logs.

## Declared Project Licenses

This program and the accompanying materials are made available under the terms
of the Apache License, Version 2.0 which is available at
https://www.apache.org/licenses/LICENSE-2.0.

SPDX-License-Identifier: Apache-2.0

## Source Code

The project maintains the following source code repositories:

* https://github.com/eclipse-iceoryx/iceoryx

## Third-party Dependencies

This project leverages the following third party content.
The corresponding license files can be found at https://github.com/eclipse-iceoryx/iceoryx/tree/master/doc/3rd_party_licenses or in the folder `share/doc/iceoryx/3rd_party_licenses` of your local iceoryx installation.

### System Libraries
libacl library
 * Usage: as-is, dynamic-linking
 * Notes: system-header `<sys/acl.h>` is used.

libncurses library
 * Usage: as-is, dynamic-linking
 * Notes: system-header `<ncurses.h>` is used.

### Optional Build Dependencies
cpptoml library (v0.1.1)
 * License: MIT
 * Project: https://github.com/skystrife/cpptoml
 * Source: https://github.com/skystrife/cpptoml/tree/v0.1.1
 * Usage: as-is, static-linking
 * enabled by default build

Eclipse Cyclone DDS (0.7.0)
 * License: Eclipse Public License v. 2.0 or the Eclipse Distribution License v. 1.0
 * Project: https://github.com/eclipse-cyclonedds/cyclonedds
 * Source: https://github.com/eclipse-cyclonedds/cyclonedds/tree/0.7.0
 * Usage: as-is, static-linking

C++ binding for Eclipse Cyclone DDS (Git Commit a7285c9d10d2da223d5a2fb8c9c04e591bcb3627)
 * License: Eclipse Public License v. 2.0 or the Eclipse Distribution License v. 1.0
 * Project: https://github.com/eclipse-cyclonedds/cyclonedds-cxx
 * Source: https://github.com/eclipse-cyclonedds/cyclonedds-cxx/tree/a7285c9d10d2da223d5a2fb8c9c04e591bcb3627
 * Usage: as-is, static-linking

CXX Idl compiler for CycloneDDS (idlpp-cxx-1.0.0)
 * License: Eclipse Public License v. 2.0 or the Eclipse Distribution License v. 1.0
 * Project: https://github.com/ADLINK-IST/idlpp-cxx
 * Source: https://github.com/ADLINK-IST/idlpp-cxx/tree/idlpp-cxx-1.0.0
 * Usage: as-is, static-linking

### Tools used by iceoryx

Google Test (release-1.10.0)
 * License: BSD 3-Clause "New" or "Revised" License
 * Project: https://github.com/google/googletest
 * Source: https://github.com/google/googletest/tree/release-1.10.0
 * Usage: as-is, static-linking
## Cryptography

Content may contain encryption software. The country in which you are currently
may have restrictions on the import, possession, and use, and/or re-export to
another country, of encryption software. BEFORE using any encryption software,
please check the country's laws, regulations and policies concerning the import,
possession, or use, and re-export of encryption software, to see if this is
permitted.
